# $Revision: 1.6 $, $Date: 2008-01-14 18:01:07 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Hook
%define		pnam	WrapSub
Summary:	Hook::WrapSub - wrap subs with pre- and post-call hooks
Summary(pl.UTF-8):	Hook::WrapSub - obudowanie procedur w wywołania przed i po wywołaniu
Name:		perl-Hook-WrapSub
Version:	0.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Hook/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7a5e42aca06d6ba06dcbd5e2cb5769bf
URL:		http://search.cpan.org/dist/Hook-WrapSub/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(splice)

%description
This function enables intercepting a call to any named function;
handlers may be added both before and after the call to the
intercepted function.

For example:

  wrap_subs \&before, 'some_func', \&after;

In this case, whenever the sub named 'some_func' is called, the
&before sub is called first, and the &after sub is called afterwards.
These are both optional. If you only want to intercept the call
beforehand:

  wrap_subs \&before, 'some_func';

%description -l pl.UTF-8
Ta funkcja umożliwia przechwytywanie wywołania dowolnej nazwanej
funkcji; można dodać procedury obsługi zarówno przed jak i po
wywołaniu przechwytywanej funkcji.

Na przykład:

  wrap_subs \&przed, 'jakas_funkcja', \&po

W tym przypadku, kiedy wywoływana jest 'jakas_funkcja', najpierw
wywoływana jest procedura &przed, a procedura &po jest wywoływana po
powrocie. Obie są opcjonalne. Aby przechwycić tylko punkt przed
wywołaniem można użyć:

  wrap_subs \&przed, 'jakas_funkcja';

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Hook
%{perl_vendorlib}/Hook/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Hook-WrapSub.spec,v $
Revision 1.6  2008-01-14 18:01:07  glen
- missing dir; rel 2

Revision 1.5  2007-11-24 17:50:25  radek
- release 1, noautoreq splice, remove README, move vendorlib/Hook to perl-dirs

Revision 1.4  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/06 21:32:05  qboosh
- pl, URL, md5, missing dir

Revision 1.1  2006/11/02 13:49:03  mguevara
- initial
